(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "./util", "./expr"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("./util"), require("./expr"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.util, global.expr);
    global.over = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _util, _expr) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.overToSQL = overToSQL;

  function overToSQL(over) {
    if (!over) return;
    const {
      partitionby,
      orderby
    } = over;
    const partition = (0, _expr.orderOrPartitionByToSQL)(partitionby, 'partition by');
    const order = (0, _expr.orderOrPartitionByToSQL)(orderby, 'order by');
    return `OVER (${[partition, order].filter(_util.hasVal).join(' ')})`;
  }
});